<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getAugmentationBasePrice](./bitburner.singularity.getaugmentationbaseprice.md)

## Singularity.getAugmentationBasePrice() method

Get base price of an augmentation.

**Signature:**

```typescript
getAugmentationBasePrice(augName: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  augName | string | Name of Augmentation. |

**Returns:**

number

Base price of the augmentation, before price multiplier.

## Remarks

RAM cost: 2.5 GB \* 16/4/1

